%global pypi_name coverage_pth

Name:           python-%{pypi_name}
Version:        0.0.1
Release:        2%{?dist}
Summary:        Coverage PTH file to enable coverage at the virtualenv level

# See github repo for license information
License:        BSD
URL:            https://github.com/dougn/coverage_pth
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/dougn/%{pypi_name}/master/LICENSE.txt
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A .pth file to site-packages to enable coverage.py.

%package -n     python2-%{pypi_name}
Summary:        Coverage PTH file to enable coverage at the virtualenv level
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-coverage
%description -n python2-%{pypi_name}
A .pth file to site-packages to enable coverage.py.
Python 2 version.

%package -n     python3-%{pypi_name}
Summary:        Coverage PTH file to enable coverage at the virtualenv level
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-coverage
%description -n python3-%{pypi_name}
A .pth file to site-packages to enable coverage.py.
Python 3 version.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}.pth

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}.pth

%changelog
* Thu Mar 17 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.1-2
- Add license file form Github

* Sat Mar 12 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.1-1
- Initial package
